---
title: ip_header

---

# ip_header





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint8_t | **[tos](Classes/structip__header.md#variable-tos)**  |
| uint16_t | **[tot_len](Classes/structip__header.md#variable-tot-len)**  |
| uint16_t | **[id](Classes/structip__header.md#variable-id)**  |
| uint16_t | **[frag_off](Classes/structip__header.md#variable-frag-off)**  |
| uint8_t | **[ttl](Classes/structip__header.md#variable-ttl)**  |
| uint8_t | **[protocol](Classes/structip__header.md#variable-protocol)**  |
| uint16_t | **[check](Classes/structip__header.md#variable-check)**  |
| uint32_t | **[saddr](Classes/structip__header.md#variable-saddr)**  |
| uint32_t | **[daddr](Classes/structip__header.md#variable-daddr)**  |

## Public Attributes Documentation

### variable tos

```cpp
uint8_t tos;
```


### variable tot_len

```cpp
uint16_t tot_len;
```


### variable id

```cpp
uint16_t id;
```


### variable frag_off

```cpp
uint16_t frag_off;
```


### variable ttl

```cpp
uint8_t ttl;
```


### variable protocol

```cpp
uint8_t protocol;
```


### variable check

```cpp
uint16_t check;
```


### variable saddr

```cpp
uint32_t saddr;
```


### variable daddr

```cpp
uint32_t daddr;
```


-------------------------------

Updated on 2022-04-18 at 19:54:43 +0000